﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SQLite;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AAE2023_9
{
    public partial class Form1 : Form
    {
        String connectionString = "Data source=aa32023_9.db;Version=3";
        SQLiteConnection connection;
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            connection.Open();
            String createTableSQL = "Create table if not exists House(" +
                "House_ID integer primary key autoincrement," +
                "Price integer," +
                "Address Text," +
                "Square_meters integer," +
                "Description Text)";
            SQLiteCommand command= new SQLiteCommand(createTableSQL,connection);
            command.ExecuteNonQuery();
            connection.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            connection.Open();
            string insertSQL = "Insert into House(Price,Address," +
                "Square_meters,Description) values(" +
                "@price,@address,@squarem,@description)";
            SQLiteCommand command= new SQLiteCommand(insertSQL,connection);
            command.Parameters.AddWithValue("price", int.Parse(textBox1.Text));
            command.Parameters.AddWithValue("address", textBox2.Text);
            command.Parameters.AddWithValue("squarem",int.Parse(textBox3.Text));    
            command.Parameters.AddWithValue("description", textBox4.Text);
            command.ExecuteNonQuery();
            connection.Close();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            connection = new SQLiteConnection(connectionString);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            richTextBox1.Clear();
            connection.Open();
            string selectSQL = "Select * from House";
            SQLiteCommand command= new SQLiteCommand(selectSQL,connection);
            SQLiteDataReader reader= command.ExecuteReader();
            while(reader.Read())
            {
                richTextBox1.AppendText(reader.GetInt16(1).ToString());
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetString(2));
                richTextBox1.AppendText("\n");
            }
            connection.Close();
        }
    }
}
